Subject: bug#9496: 24.0.50; Segfault on TAB-only composition

From: Kenichi Handa <[email-masked]>
Date: Thu, 15 Sep 2011 13:10:31 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

>>> So what is the meaning of the example shown by Bojohan, i.e.:
>>> (insert (compose-string "\t"))
>>> What is expected from such a 'composition"?
> > I currently have no idea.  It's just a wrong usage.

> I think it would be logical to handle this (as well as "\t\t") in the
> same way as the empty string (after all "\t" is a "" with a \t
> prepended or appended).

That is one way.  But I'm not sure that the current code
handles the composition component of empty string
correctly.  :-(

Another way is to treat it as the same way as "\t" display
property.   Composition component of one character string is
the same as display property of that one character string.
For instance, the following two has the same visual effect:

(put-text-property 1 2 'display "a")
(compose-region 1 2 "a")

---
Kenichi Handa
[email-masked]